<?php
/**
 *  Please read the terms of the CLUF license attached to this module(cf "licences" folder)
 *
 * @author    Línea Gráfica E.C.E. S.L.
 * @copyright Lineagrafica.es - Línea Gráfica E.C.E. S.L. all rights reserved.
 * @license   https://www.lineagrafica.es/licenses/license_en.pdf
 *            https://www.lineagrafica.es/licenses/license_es.pdf
 *            https://www.lineagrafica.es/licenses/license_fr.pdf
 */

class AdminFilkersAjaxController extends ModuleAdminController
{
    public function __construct()
    {
        parent::__construct();
    }

    public function ajaxProcessGetAuthorization()
    {
        $module = Context::getContext()->controller->module;
        $success = $module->getAuthorization();
        $response = array(
            'success' => $success ? 1 : 0
        );
        die(Tools::jsonEncode($response));
    }
}
