<?php
/**
 *  Please read the terms of the CLUF license attached to this module(cf "licences" folder)
 *
 * @author    Línea Gráfica E.C.E. S.L.
 * @copyright Lineagrafica.es - Línea Gráfica E.C.E. S.L. all rights reserved.
 * @license   https://www.lineagrafica.es/licenses/license_en.pdf
 *            https://www.lineagrafica.es/licenses/license_es.pdf
 *            https://www.lineagrafica.es/licenses/license_fr.pdf
 */

if (!defined('_PS_VERSION_')) {
    exit;
}

class FilkerscronjobModuleFrontController extends ModuleFrontController
{
    public function __construct()
    {
        $this->display_column_left = false;
        $this->display_column_right = false;
        $this->ajax = true;
        $this->display_header = false;
        $this->display_footer = false;
        parent::__construct();
    }

    public function initContent()
    {
        $key = Configuration::get('FILKERS_APP_SECRET');        
        if (Tools::getValue('token') == $key) {
            $this->context->controller->module->notifyChanges();
            die('Success ok!');
        }
        die('Not allowed!');
    }
}
